org.apache.bsf.util.event.generator

## Class AdapterClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.bsf.util.event.generator.AdapterClassLoader

-     public class AdapterClassLoader
      extends java.lang.ClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdapterClassLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `defineClass(java.lang.String name, byte[] b)`
    `protected java.lang.Class` | `findClass(java.lang.String name)`
    `protected java.lang.Class` | `get(java.lang.String name)`
    `java.lang.Class` | `getLoadedClass(java.lang.String name)`
    `protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`
    `protected void` | `put(java.lang.String name, java.lang.Class c)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdapterClassLoader

          public AdapterClassLoader()

  - ### Method Detail

    - #### defineClass

          public java.lang.Class defineClass(java.lang.String name,
                                             byte[] b)
                                      throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### findClass

          protected final java.lang.Class findClass(java.lang.String name)

      Overrides:
        `findClass` in class `java.lang.ClassLoader`

    - #### get

          protected final java.lang.Class get(java.lang.String name)

    - #### getLoadedClass

          public java.lang.Class getLoadedClass(java.lang.String name)

    - #### loadClass

          protected java.lang.Class loadClass(java.lang.String name,
                                              boolean resolve)
                                       throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### put

          protected final void put(java.lang.String name,
                                   java.lang.Class c)